#! /bin/csh -f

set FNAME=$1

echo "### Combine frames ###"

echo "imdel tmp3" > cl.com
echo "imcombine tmpsky1,tmpsky2 tmp3" >> cl.com
echo "disp tmp3 1 fi+" >> cl.com
cat cl.com | cl

echo "### Bad pixel correction ###"
echo "imdel tmp4,tmp5" > cl.com
echo "median tmp3 tmp4 5 5" >> cl.com
echo "imarith tmp3 - tmp4 tmp5" >> cl.com
echo "del tmp.tbl" >> cl.com
echo "imstatrej tmp5 5 > tmp.tbl" >> cl.com
cat cl.com | cl
set CUPPER=`gawk '{print($2+6*$3)}' tmp.tbl`
set CLOWER=`gawk '{print($2-6*$3)}' tmp.tbl`
echo "imrepl tmp5 0 upper=$CUPPER lower=$CLOWER" >> cl.com
echo "imrepl tmp5 1 lower=$CUPPER" >> cl.com
echo "imrepl tmp5 1 upper=$CLOWER" >> cl.com
echo "fixpix tmp3 tmp5" >> cl.com
echo "fixpix tmp3 tmp5" >> cl.com
echo "fixpix tmp3 tmp5" >> cl.com
echo "fixpix tmp3 tmp5" >> cl.com
echo "fixpix tmp3 tmp5" >> cl.com
echo "fixpix tmp3 tmp5" >> cl.com
echo "disp tmp3 1" >> cl.com
cat cl.com | cl

echo "### Save the frames ###"
echo "imdel tmp10" > cl.com
echo "boxcar tmp3 tmp10 4 4" >> cl.com
echo "disp tmp10 1 fi+ " >> cl.com
echo "imdel $FNAME.fits" >> cl.com
echo "imcopy tmp3 $FNAME.fits" >> cl.com
cat cl.com | cl
echo "imdel tmp10,test" > cl.com
echo "boxcar $FNAME.fits tmp10 4 4" >> cl.com
echo "imarith tmp10 * flatk test" >> cl.com
echo "del tmp.tbl" >> cl.com
echo "imstatrej test[257:768,257:768] 3 > tmp.tbl" >> cl.com
echo "logout" >> cl.com
cat cl.com | cl
gawk '{print($2)}' tmp.tbl > norm.tbl
echo "imarith test / @norm.tbl test" > cl.com
echo "disp test 1 fi+ zr- zs- z1=0.6 z2=1.2" >> cl.com
echo "imdel data/*.imh" >> cl.com
echo "logout" >> cl.com
cat cl.com | cl
