#! /bin/csh -f
set INTBL=$1
set BOXCAR=$2
set OUTFRAME=$3

echo "### Combine and create flat frame ###"
\rm -r tmp.txt
gawk '{printf("tmpnflat%02d.fits\n",NR)}' $INTBL > $INTBL.2
sed 's/^/imstatrej /g' $INTBL | sed 's/$/[257:768,257:768] 3 >> tmp.txt/g' | cl
gawk '{print($2)}' tmp.txt > tmp2.txt
echo "imdel @$INTBL.2" > cl.com
echo "imarith @$INTBL / @tmp2.txt @$INTBL.2" >> cl.com
echo "logout" >> cl.com
cat cl.com | cl

echo "imdel tmp1" > cl.com
echo "imcombine @$INTBL.2 tmp1 combine=average reject=sigclip" >> cl.com
echo "logout" >> cl.com
cat cl.com | cl

./fixbadpix.csh tmp1

echo "imdel $OUTFRAME" > cl.com
echo "boxcar tmp1 tmp1 $BOXCAR $BOXCAR" >> cl.com
echo "imarith flatk.fits * tmp1 $OUTFRAME" >> cl.com
echo "logout" >> cl.com
cat cl.com | cl
